#ifndef CCTRLSENSORANALOG_H
#define CCTRLSENSORANALOG_H

#include "cmwidget.h"

namespace Ui {
class CCtrlSensorAnalog;
}

class CCtrlSensorAnalog : public CMWidget
{
    Q_OBJECT

public:
    explicit CCtrlSensorAnalog(QWidget *parent ,int iAnalogID);
    ~CCtrlSensorAnalog();
    int m_iAnalogID;
    void MFresh();
    void MTimeFresh();
    int m_iStateChanged;
    int m_iTimerID;
    bool m_bAdd;
    void timerEvent(QTimerEvent *event);
    void ChangeThres(double dstep,bool bsave);
private slots:

    void on_pushButton_Reduce_pressed();

    void on_pushButton_Add_pressed();

    void on_pushButton_Reduce_released();

    void on_pushButton_Add_released();

    void on_lcdNumber_Thres_overflow();

private:
    Ui::CCtrlSensorAnalog *ui;
};

#endif // CCTRLSENSORANALOG_H
